/*
 * Als aller erstes die Includes, die sowieso von fast allen Routinen
 * gebraucht werden.
 */
#include	<stdio.h>
#include	<stdlib.h>
#include	<sys/time.h>
#include	<signal.h>
#include	<X11/Xlib.h>
#include	<X11/Xutil.h>

/* Die Versionsnummer */
#define VERSION "1.2"
/* Die Befehlslaenge */
#define BEFLEN 12

/*
 * Die einzige Struktur, die ich brauche, ist die, die die Hinweise
 * enthaelt. Sie ist global f\"ur alle Arten von Hinweisen nutzbar.
 */
struct tip{
  char typ;
  char www[6];};	/* Wer, Wo, Was */
/*
 * Pustekuchen mit einziger Struktur, auch die History braucht eine
 * Struktur.
 */
struct hist{
  struct hist *next;
  char befehl[BEFLEN];};

/*
 * Definitionen fuer X-Mik.
 * Jedes Programm braucht einige Konstanten, die immer wieder
 * gebracuht werden und daher als Konstanten definiert sein sollten.
 * Dies geschieht hier.
 */

/* Groessen verschiedener Werte in Pixel */
#define	SKIP 10
#define HB 50
#define HH 50
#define FB 75

/* Namesdefinitionen */
#define BASENAME	"/usr/local/lib/xmik/"

/* Brauchen eigentlich nicht geaendert zu werden */
#define BACKNAME	"bilder/background.xbm"
#define	LOGONAME	"bilder/logo.xpm"
#define	ENDENAME	"bilder/ende.xpm"
#define	HILFNAME	"bilder/hilfe.xpm"
#define FEHLNAME	"bilder/fehler.xpm"
#define ANDENAME	"bilder/andere.xpm"
#define BISFNAME	"bilder/bisf.xpm"
#define WIEDNAME	"bilder/wieder.xpm"

#define	RELINAME	"bilder/reli.xpm"

#define	CONFNAME	".xmikrc"
#define	BILDNAME	".xmiknames"

/* Nun kommen einige Definitionen, die bei der Generierung der
 * Hinweise gebraucht werden. */
#define	MAXSETZ 4
#define MAXUNTE 18
#define MAXRECH 21
#define MAXFUENF 4

